scala.tools.nsc.util.ClassPath

# ClassPathContext

#### abstract class ClassPathContext[T] extends AnyRef

A class modeling aspects of a ClassPath which should be propagated to any classpaths it creates.

Source
  ClassPath.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
DefaultJavaContext, JavaContext
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassPathContext
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ClassPathContext()

### Abstract Value Members

1. #### abstract def newClassPath(file: AbstractFile): ClassPath[T]

   Create a new classpath based on the abstract file.

2. #### abstract def toBinaryName(rep: T): String

   From the representation to its identifier.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ClassPathContext[T] to any2stringadd[ClassPathContext[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ClassPathContext[T], B)

   Implicit information
     This member is added by an implicit conversion from ClassPathContext[T] to ArrowAssoc[ClassPathContext[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def classesInExpandedPath(path: String): IndexedSeq[ClassPath[T]]

8. #### def classesInManifest(used: Boolean): collection.immutable.List[ClassPath[T]]

9. #### def classesInPath(path: String): collection.immutable.List[ClassPath[T]]

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def contentsOfDirsInPath(path: String): List[ClassPath[T]]

12. #### def ensuring(cond: (ClassPathContext[T]) ⇒ Boolean, msg: ⇒ Any): ClassPathContext[T]

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to Ensuring[ClassPathContext[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (ClassPathContext[T]) ⇒ Boolean): ClassPathContext[T]

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to Ensuring[ClassPathContext[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): ClassPathContext[T]

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to Ensuring[ClassPathContext[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): ClassPathContext[T]

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to Ensuring[ClassPathContext[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to StringFormat[ClassPathContext[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def isValidName(name: String): Boolean

    A filter which can be used to exclude entities from the classpath based on their name.

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def sourcesInPath(path: String): List[ClassPath[T]]

    Creators for sub classpaths which preserve this context.

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def validClassFile(name: String): Boolean

    Filters for assessing validity of various entities.

31. #### def validPackage(name: String): Boolean

32. #### def validSourceFile(name: String): Boolean

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (ClassPathContext[T], B)

    Implicit information
      This member is added by an implicit conversion from ClassPathContext[T] to ArrowAssoc[ClassPathContext[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClassPathContext[T] to any2stringadd[ClassPathContext[T]]

### Inherited by implicit conversion StringFormat from ClassPathContext[T] to StringFormat[ClassPathContext[T]]

### Inherited by implicit conversion Ensuring from ClassPathContext[T] to Ensuring[ClassPathContext[T]]

### Inherited by implicit conversion ArrowAssoc from ClassPathContext[T] to ArrowAssoc[ClassPathContext[T]]

### Ungrouped